Download software

Please register your software to receive critical software updates

We have received your registration. Thank you.
Your download should start automatically

Download & register

FAQ's Cisco Jabber

Frequently Asked Questions for Cisco Jabber

Can I install Busylight on Cisco Jabber 10.5?

We have had positive feedback from customers running Cisco Jabber client 10.5, though it were made for 11.x

I have Cisco Jabber installed but Busylight won’t start?

If you just did an install of Busylight for Cisco Jabber it is likely you will have to exit Cisco Jabber and Busylight completely and then try to relaunch both again.

I get an error when trying to start Busylight for Cisco Jabber?

Busylight UC for Cisco Jabber requires .Net 4. Not every Windows has this preinstalled. If you don’t have it installed, download .Net 4.6.1 here.

When you know you are running the correct version of .Net 4 but still having problems, please try a repair of .Net 4.x.

Still no luck: please contact us via the contact form or write us at support@plenom.com.